org.apache.jmeter.gui.action.thinktime

## Interface ThinkTimeCreator

All Known Implementing Classes:
  DefaultThinkTimeCreator

    public interface ThinkTimeCreator

Interface for a ThinkTime creator

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`JMeterTreeNode[]` `createThinkTime(GuiPackage guiPackage, JMeterTreeNode parentNode)` Create think time

### Method Detail

#### createThinkTime

    JMeterTreeNode[] createThinkTime(GuiPackage guiPackage,
                                     JMeterTreeNode parentNode)
                              throws IllegalUserActionException

Create think time

Parameters:
  `guiPackage` - `GuiPackage`
  `parentNode` - `JMeterTreeNode`
Returns:
  array of 2 nodes
Throws:
  `IllegalUserActionException` - when timer can't be created for this node